classification
Title: Document Fraction's numerator and denominator properties
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: belopolsky, docs@python, ezio.melotti, icedream91, madison.may, mark.dickinson, orsenthil, python-dev, rhettinger
Priority: normal Keywords: easy, patch

Created on 2013-08-21 17:05 by icedream91, last changed 2013-09-10 02:59 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
18800.patch orsenthil, 2013-09-07 19:31 review
Messages (6)
msg195808 - (view) Author: (icedream91) Date: 2013-08-21 17:05
The document (http://docs.python.org/3/library/fractions.html) doesn't mention Fraction's numerator and denominator properties, I knew these properties from dir().

Since sometimes these two properties are very useful, for example: http://projecteuler.net/problem=33 and http://projecteuler.net/problem=57 , I think document should mention them. 

Thanks.
msg196279 - (view) Author: Madison May (madison.may) * Date: 2013-08-27 12:23
The docs page does mention, however, that Fraction inherits from numbers.Rational, and links to that page (http://docs.python.org/2/library/numbers.html#numbers.Rational). There the properties 'numerator' and 'denominator' are clearly documented.  Perhaps its still worth it to mention those properties on the Fraction docs page though, or to include them in one of the examples.
msg197180 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-09-07 19:31
How does this simple patch sound?
msg197344 - (view) Author: Madison May (madison.may) * Date: 2013-09-09 00:57
Simple and to the point.  Sounds good to me...
msg197418 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-10 02:58
New changeset fe5c03fb0ff6 by Senthil Kumaran in branch '3.3':
Document Fraction's numerator and denominator properties.
http://hg.python.org/cpython/rev/fe5c03fb0ff6

New changeset 5fb700ca3fd5 by Senthil Kumaran in branch 'default':
merge from 3.3
http://hg.python.org/cpython/rev/5fb700ca3fd5
msg197419 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-09-10 02:59
Fixed in applicable versions 3.3 and 3.4.
History
Date User Action Args
2013-09-10 02:59:58orsenthilsetstatus: open -> closed
versions: - Python 2.7
messages: + msg197419

resolution: fixed
stage: needs patch -> resolved
2013-09-10 02:58:28python-devsetnosy: + python-dev
messages: + msg197418
2013-09-09 00:57:50madison.maysetmessages: + msg197344
2013-09-07 19:31:43orsenthilsetfiles: + 18800.patch

nosy: + orsenthil
messages: + msg197180

keywords: + patch
2013-08-27 12:23:59madison.maysetnosy: + madison.may
messages: + msg196279
2013-08-23 20:13:29ezio.melottisetnosy: + ezio.melotti
2013-08-22 14:04:14serhiy.storchakasetkeywords: + easy
nosy: + rhettinger, mark.dickinson
stage: needs patch

versions: + Python 2.7, Python 3.4
2013-08-22 13:40:53belopolskysetnosy: + belopolsky
2013-08-21 17:05:46icedream91create